function ShowMsgTip(v_type, v_note, v_options) {

    var stack_topleft = { "dir1": "down", "dir2": "right", "push": "top" };
    var stack_topright = { "dir1": "up", "dir2": "right", "push": "top" };
    var stack_bottomleft = { "dir1": "right", "dir2": "up" };
    var stack_bottomright = { "dir1": "up", "dir2": "left", "firstpos1": 1, "firstpos2": 1 };
    
    if (v_options == null) {
        v_options={};
    }

   
    if (v_options.width == null) v_options.width = "300px";

    var _pnotify_stack = stack_bottomright;
    var _pnotify_stackcss = "stack-bottomright";

    if (v_options.position != null) {
        if (v_options.position == "topleft") {
            _pnotify_stack = stack_topleft; _pnotify_stackcss = "stack_topleft";
        }
        else if (v_options.position == "topright") {
        _pnotify_stack = null;
        }
        else if (v_options.position == "bottomleft") {
        _pnotify_stack = stack_bottomleft; _pnotify_stackcss = "stack_bottomleft";
        }
    }
   
    var opts = {
        pnotify_text: v_note,
        pnotify_closer_hover: false,
        pnotify_sticker_hover: false,
        pnotify_delay: 3000,
        pnotify_history: false,
        pnotify_animation:"slide",
        pnotify_width: v_options.width
    };
    if (_pnotify_stack != null) {
        opts.pnotify_stack = _pnotify_stack;
        opts.pnotify_addclass = _pnotify_stackcss;
    }
    switch (v_type) {
        case 'error':
            if (v_options.title == null) {
                opts.pnotify_title = "错误提示";
            }
            opts.pnotify_type = "error";
            break;
        case 'info':
            if (v_options.title == null) {
                opts.pnotify_title = "消息提示";
            }
            opts.pnotify_type = "info";
            break;
    }
    if (v_options.title != null) { opts.pnotify_title = v_options.title; }
    $.pnotify(opts);
};